	.equ	WMCON, 0x96
	.equ	EEMEN, 0b00001000
;
.nolist
.include	"../include/param.inc"
.list

.global	bauddmp0, bauddmp

;CPU_DIR	SEGMENT	CODE
;	RSEG	CPU_DIR
	.section cpu_dir, #alloc
;
	.word	'b'+'d'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend
;
;CPU_FILES	SEGMENT	CODE
;	RSEG	CPU_FILES
	.section cpu_files, #alloc
;
cgibegin:		;bd.cgi
	.pcode bauddmp0
	.pcode pret
cgiend:
;
	.text
	.using	0
;
bauddmp9:mov	r3,#HIGH(CPUCLOCK)
bauddmp8:mov	a,r3
	ljmp	sendDecb
;
bauddmp0:mov	R6,#0
	mov	R7,state80
bauddmp:mov	dph,R6
	mov	dpl,R7
	mov	WMCON,#(WATCHDOG | EEMEN) ;enable EEPROM
	movx	a,@dptr
	mov	WMCON,#WATCHDOG		;disable EEPROM
	cpl	a
	inc	a
	jz	bauddmp9	;/256
	mov	r6,a
	mov	r2,#HIGH(CPUCLOCK)
	mov	r3,#LOW(CPUCLOCK)
	lcall	div2x1
	mov	a,r2
	jz	bauddmp8
	mov	r6,#100
	lcall	div2x1
	push	ar1
	mov	a,r3
	lcall	sendDecb
	pop	Acc
	mov	B,#10
	div	ab
	PUSH	b
	lcall	sNibl
	pop	Acc
	ljmp	sNibl
;
	;; END
