	.equ	WMCON, 0x96
	.equ	EEMEN, 0b00001000
;
.nolist
.include	"../include/param.inc"
.include	"../include/8019.inc"
.list

.global	macdmp0, macdmp

;CPU_DIR	SEGMENT	CODE
;	RSEG	CPU_DIR
	.section cpu_dir, #alloc
;
	.word	'm'+'a'+'c'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend
;
;CPU_FILES	SEGMENT	CODE
;	RSEG	CPU_FILES
	.section cpu_files, #alloc
;
cgibegin:		;mac.cgi
	.pcode macdmp flash_my_ether
	.pcode pret
cgiend:
;
	.text
	.using	0
;
macdmp0:mov	R6,#0
	mov	R7,state80
macdmp:	mov	dph,R6
	mov	dpl,R7
	mov	r1, #ETHER_ADDR_LEN
macdmpl:mov	WMCON,#(WATCHDOG | EEMEN) ;enable EEPROM
	movx	a,@dptr
	mov	WMCON,#WATCHDOG		;disable EEPROM & DPTR'
	inc	dptr
	push	dph
	push	dpl
	push	ar1
	lcall	sendHexb
	pop	acc
	push	acc
	dec	a
	jz	nominus
	mov	a,#'-'
	lcall	sendchar
nominus:pop	ar1
	pop	dpl
	pop	dph
	djnz	r1,macdmpl
	ret
;
	;; END
