	.global	outP13

	.section cpu_dir, #alloc

	.word	'o'+'u'+'t'+'P'+'1'+'3'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend

	.section cpu_files, #alloc

cgibegin:		;outP1.cgi
	.pcode	outP13
	.pcode	pret
cgiend:

	.text

outP13:	jnb	flagSecure,noExecCgi
	mov	state80,#'2'	; find '2' item - out P13
	lcall	scanpar
	jnb	zflag, no1cmd
	;; cmdD
dump8:	mov	r1,#8
dump0:	mov	a,@r0
	mov	r7,a
	cjne	r7,#'&',L9	;ret form item separator
noExecCgi:
no1cmd:	ret
L9:	cjne	r7,#' ',L8
	ret			;ret if space delimiter
L8:	anl	a,#0b11100000
	jnz	L7
	ret			;ret if control char
L7:	inc	r0
;get Hex parametr
	mov	a,@r0
	inc	r0
	jnb	acc.6,L10	;convert ascii to hex nibble
	add	a,#9
L10:	anl	a,#0x0F
	swap	a
	mov	r6,a
	mov	a,@r0
	inc	r0
	jnb	acc.6,L11	;convert ascii to hex nibble
	add	a,#9
L11:	anl	a,#0x0F
	orl	a,r6
	cjne	r7,#'A',LnoAND1	;AND_port1 command
	anl	P1,a
	sjmp	Lnext
LnoAND1: cjne	r7,#'O',LnoOR1	;OR_port1 command
	orl	P1,a
	sjmp	Lnext
LnoOR1:	cjne	r7,#'X',LnoXOR1	;XOR_port1 command
	xrl	P1,a
	sjmp	Lnext
LnoXOR1: cjne	r7,#'S',LnoS1	;SET_port1 command
	mov	P1,a
	sjmp	Lnext
LnoS1:	cjne	r7,#'a',LnoAND3	;AND_port3 command
	orl	a,#0b11000000	;don't change WR and RD pin
	anl	P3,a
	sjmp	Lnext
LnoAND3: cjne	r7,#'o',LnoOR3	;OR_port3 command
	orl	P3,a
	sjmp	Lnext
LnoOR3:	cjne	r7,#'x',LnoXOR3	;XOR_port3 command
	anl	a,#0b00111111	;don't change WR and RD pin
	xrl	P3,a
	sjmp	Lnext
LnoXOR3: cjne	r7,#'s',no1cmd	;SET_port3 command
	orl	a,#0b11000000	;don't change WR and RD pin
	mov	P3,a
Lnext:	djnz	r1,dump0
; advance processed bytes forward and copy next fragment of parameters
	lcall	scancont
	sjmp	dump8

	;; END
