;	RSEG	CONFIG_EEPROM
;
	.section ee_config, #alloc
beginconf:	
.global	flash_my_ether
flash_my_ether:
	.word MAC_MSB	; MAC address
	.word MAC_NSB
	.word MAC_LSB
.global	flash_mac_gateway
flash_mac_gateway:
	.word 0		; gateway MAC address
	.word 0
	.word 0
;
; *** work setup ***
;
.global	work_setup
work_setup:
.global	flash_my_ip
.global	flash_ip_mask
.global	flash_ip_gateway
.global	flash_ip_point
.global	flash_baud
.global	flash_flow
flash_my_ip:
	.word IP_MSB	; IP
	.word IP_LSB
flash_ip_mask:
	.word NM_MSB	; MASK
	.word NM_LSB
flash_ip_gateway:
	.word GW_MSB	; GW
	.word GW_LSB
flash_ip_point:
	.word PT_MSB	; PT
	.word PT_LSB
flash_flow:
	.byte FLOWCTRL
flash_baud:
	.byte BAUDCLK
	.equ sizeof_work_setup, . - beginconf
;
; *** default setup ***
;
defconf:
.global	default_setup
default_setup:
.global	default_my_ip
.global	default_ip_mask
.global	default_ip_gateway
.global	default_ip_point
.global	default_baud
.global	default_flow
default_my_ip:
	.word IP_MSB	; IP
	.word IP_LSB
default_ip_mask:
	.word NM_MSB	; MASK
	.word NM_LSB
default_ip_gateway:
	.word GW_MSB	; GW
	.word GW_LSB
default_ip_point:
	.word PT_MSB	; PT
	.word PT_LSB
default_flow:
	.byte FLOWCTRL
default_baud:
	.byte BAUDCLK
	.equ sizeof_default_setup, . - defconf
;
; *** new setup ***
;
newconf:
.global	new_setup
new_setup:
.global	new_my_ip
.global	new_ip_mask
.global	new_ip_gateway
.global	new_ip_point
.global	new_baud
.global	new_flow
new_my_ip:
	.word IP_MSB	; IP
	.word IP_LSB
new_ip_mask:
	.word NM_MSB	; MASK
	.word NM_LSB
new_ip_gateway:
	.word GW_MSB	; GW
	.word GW_LSB
new_ip_point:
	.word PT_MSB	; PT
	.word PT_LSB
new_flow:
	.byte FLOWCTRL
new_baud:
	.byte BAUDCLK
.global	sizeof_new_setup
	.equ sizeof_new_setup, . - newconf

	;; end

