	.equ	WMCON, 0x96
	.equ	EEMEN, 0b00001000
;
.nolist
.include	"../include/param.inc"
.list

.global	baudcmp0, baudcmp

;CPU_DIR	SEGMENT	CODE
;	RSEG	CPU_DIR
	.section cpu_dir, #alloc
;
	.word	'b'+'d'+'c'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend
;
;CPU_FILES	SEGMENT	CODE
;	RSEG	CPU_FILES
	.section cpu_files, #alloc
;
cgibegin:		;bdc.cgi
	.pcode baudcmp new_baud
	.pcode pret
cgiend:
;
	.text
	.using	0
;
baudcmp0:mov	R6,#0
	mov	R7,state80
baudcmp:mov	dph,R6
	mov	dpl,R7
	mov	WMCON,#(WATCHDOG | EEMEN) ;enable EEPROM
	movx	a,@dptr
	mov	WMCON,#WATCHDOG		;disable EEPROM
	cpl	a
	inc	a
	mov	b,#LOW(CPUCLOCK/384)
	div	ab	;1,2,4,..64,(128)
	mov	r0,#'0'
baudcmp8:setb	C	;idoiten sicher - stop mark for Acc = 0
	inc	r0
	rrc	a	;1,2,3,..8
	jnc	baudcmp8
	mov	a,state80
	xrl	a,r0
	jnz	baudcmp9
	lcall	send_string
	.asciz	" SELECTED"
baudcmp9:ret
;
	;; END
