	.equ	WMCON, 0x96
	.equ	EEMEN, 0b00001000
;
.nolist
.include	"../include/param.inc"
.include	"../include/8019.inc"
.list

.global	ipdmp0, ipdmp

;CPU_DIR	SEGMENT	CODE
;	RSEG	CPU_DIR
	.section cpu_dir, #alloc
;
	.word	'i'+'p'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend
;
;CPU_FILES	SEGMENT	CODE
;	RSEG	CPU_FILES
	.section cpu_files, #alloc
;
cgibegin:		;ip.cgi
	.pcode ipdmp0
	.pcode pret
cgiend:
;
;
	.text
	.using	0
;
ipdmp0:	mov	R6,#0
	mov	R7,state80
ipdmp:	mov	dph,R6
	mov	dpl,R7
	mov	r1, #IP_ADDR_LEN
ipdmpl:	mov	WMCON,#(WATCHDOG | EEMEN) ;enable EEPROM
	movx	a,@dptr
	mov	WMCON,#WATCHDOG		;disable EEPROM & DPTR'
	inc	dptr
	push	dph
	push	dpl
	push	ar1
	lcall	sendDecb
	pop	acc
	push	acc
	dec	a
	jz	notecka
	mov	a,#'.'
	lcall	sendchar
notecka:pop	ar1
	pop	dpl
	pop	dph
	djnz	r1,ipdmpl
	ret

	;; END
