	.global	outP3

	.section cpu_dir, #alloc

	.word	'o'+'u'+'t'+'P'+'3'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend

	.section cpu_files, #alloc

cgibegin:		;outP3.cgi
	.pcode	outP3
	.pcode	pret
cgiend:

	.text

outP3:	jnb	flagSecure,noExecCgi
	mov	state80,#'3'	; find '3' item - out P3
	lcall	scanpar
	jnb	zflag, no1cmd
	;; cmdD
dump8:	mov	r1,#8
dump0:	mov	a,@r0
	mov	r7,a
	cjne	r7,#'&',L9	;ret form item separator
noExecCgi:
no1cmd:	ret
L9:	cjne	r7,#' ',L8
	ret			;ret if space delimiter
L8:	anl	a,#0b11100000
	jnz	L7
	ret			;ret if control char
L7:	inc	r0
;get Hex parametr
	mov	a,@r0
	inc	r0
	jnb	acc.6,L10	;convert ascii to hex nibble
	add	a,#9
L10:	anl	a,#0x0F
	swap	a
	mov	r6,a
	mov	a,@r0
	inc	r0
	jnb	acc.6,L11	;convert ascii to hex nibble
	add	a,#9
L11:	anl	a,#0x0F
	orl	a,r6
	cjne	r7,#'A',LnoAND	;AND_port command
	orl	a,#0b11000000	;don't change WR and RD pin
	anl	P3,a
	sjmp	Lnext
LnoAND:	cjne	r7,#'O',LnoOR	;OR_port command
	orl	P3,a
	sjmp	Lnext
LnoOR:	cjne	r7,#'X',LnoXOR	;XOR_port command
	anl	a,#0b00111111	;don't change WR and RD pin
	xrl	P3,a
	sjmp	Lnext
LnoXOR:	cjne	r7,#'S',no1cmd	;SET_port command
	orl	a,#0b11000000	;don't change WR and RD pin
	mov	P3,a
Lnext:	djnz	r1,dump0
; advance processed bytes forward and copy next fragment of parameters
	lcall	scancont
	sjmp	dump8

	;; END
