	.ifndef	PARAMINC
	.set	PARAMINC, 1

	.set sendall,1
	.set MOVXMODE,1
	.set I2Cfilesystem,1
	.set ROMfilesystem,1
	.set EEfilesystem,1
	.set TESTMODE,0

;;AT8252 bit register for .equ
;;don't public .equ
	.local	P2, P2.5, P2.6, P2.7
	.local	P3.2, P3.3, P3.4, P3.5
	.local	Acc.0, Acc.1, Acc.2, Acc.3
	.local	Acc.4, Acc.5, Acc.6, Acc.7
	.equ	P2, 0xA0
	.equ	P2.5, 0xA5
	.equ	P2.6, 0xA6
	.equ	P2.7, 0xA7
	.equ	P3.2, 0xB2
	.equ	P3.3, 0xB3
	.equ	P3.4, 0xB4
	.equ	P3.5, 0xB5
	.equ	Acc.0, 0xE0
	.equ	Acc.1, 0xE1
	.equ	Acc.2, 0xE2
	.equ	Acc.3, 0xE3
	.equ	Acc.4, 0xE4
	.equ	Acc.5, 0xE5
	.equ	Acc.6, 0xE6
	.equ	Acc.7, 0xE7

	.local	CPUCLOCK, SysTik, BAUD
;	.equ	CPUCLOCK,768	;14.7456 MHz
	.equ	CPUCLOCK,1152	;22.1184 MHz
	.equ	SysTik,-((CPUCLOCK*40)/25)+11	;nutno upravit podle poctu
;-((CPUCLOCK * 1000 / 625)+korekce	;instrukci, ktere se vykonaji
					;nez se znovu nalouduje timer
	.equ	BAUD,96		;Baud Rate (* 100 Bd)
	.local	optrtscts, optxonxoff
	.equ	optrtscts,0
	.equ	optxonxoff,1

	.global	BAUDCLK
	.global	FLOWCTRL
	.equ	BAUDCLK, (0x0100 - (CPUCLOCK/BAUD)) & 0xFF
	.equ	FLOWCTRL,0b00000001	;bit 0 - RTS/CTS
					;bit 1 - XON/XOFF
	.local	lngsser, lngrser, MAXCHAR, lngrser2, MAXCHAR2
	.equ	lngsser,16	; send buffer
	.equ	lngrser,32	; receive buffer (short version - 32 byte)
	.equ	lngrser2,64	; receive buffer (long version - 64 byte)
	.equ	MAXCHAR,13	; handshake limit - max 19 char overrun
	.equ	MAXCHAR2,45	; handshake limit - max 19 char overrun
;
; HW EQU
;
	.local	RESETBIT, ADDRPORT, LED0, LED1, RTS, CTS
	.equ	RESETBIT,P2.7
	.equ	ADDRPORT,P2
	.equ	LED0,P3.4
	.equ	LED1,P3.5
	.equ	RTS,P3.3
	.equ	CTS,P3.2
;# I2C data bits #
	.local	SCL, SDA, FADDR
	.equ	SCL,P2.6
	.equ	SDA,P2.5
	.equ	FADDR,0xA0		; fixed address for AT24Cxx EEPROMs
;# Watchdog timing #
	.local	WATCHDOG, RESTARTWATCHDOG
	.equ	WATCHDOG,0b11100001
	.equ	RESTARTWATCHDOG,0b11100011
;
; SW EQU
;
	.local	RESENDMODE, NORESENDMODE
	.equ	RESENDMODE, 0xD2	;set bit
	.equ	NORESENDMODE, 0xC2	;reset bit
;
; TCP and Ethernet timing
 & definition
;
	.local	slowtiming, ethtiming, shortretry
, TCPtick
	.equ	slowtiming,50	;50 ms
	.equ	ethtiming,4	;200 ms
	.equ	shortretry,5	;5 times
	.equ	TCPtick,200	;200 ms - TCP activity timer
	.equ	LASTSTACK1, 0x01
	.equ	LASTSTACK2, 0x02
;
; TCP mode
;
	.set	ACTIVESTACK,0	;Active stack
 disabled
;	.set	ACTIVESTACK,1	;Active stack
 enabled
	.set	DUALSTACK,0	;1 TCP stacks
;	.set	DUALSTACK,1	;2 TCP stacks
	.set	LEDSTACK,0	;LED1 mark open/close connection
				;(valid if 1 TCP stack)
;	.set	LEDSTACK,1	;LED1 mark open/close connection
				;(valid if 1 TCP stack)
;
; SERIAL
;
	.set	SERIAL,0	;don't include serial line handler
;	.set	SERIAL,1	;include serial line handler
	.set	LEDSERIAL,0	;LED0 mark serial out activity
;	.set	LEDSERIAL,1	;LED0 mark serial out activity
;
; http & tcp buffer
;
	.equ	sizeofbuf,  0x20
	.equ	sizeofebuf, 0x20
;
; version and option control
;
	.set	VERSION, 0	;bit 7..4 = version 1.3
	.set	MAGIC, VERSION	;bit 7..4 = version 1.3
	.if ACTIVESTACK

		.set	MAGIC, MAGIC+1	;bit 0 = Active stack
	.endif
	.if DUALSTACK

		.set	MAGIC, MAGIC+2	;bit 1 = 1/2 TCP stacks
	.endif
	.if SERIAL

		.set	MAGIC, MAGIC+4	;bit 2 = serial line handler
	.endif
	.endif
