.nolist
.include	"../include/param.inc"
.list

	.global	pe2s

	.equ	EEMEN, 0b00001000

	.text
;
; *** PE2S *** copy STRING to STRING (cpu EEPROM to IDATA mem) ***
; pe2s	buffer_addr_TO, buffer_addr_FROM, length
;	R7,	R4R5,	R3

pe2s:	
	MOV	DPH,R4	;source pointer
	MOV	DPL,R5
	MOV	a,R7	;destination pointer
	mov	R0,a
	mov	WMCON,#(WATCHDOG | EEMEN) ;enable EEPROM
copyeloop:
	movx	a,@dptr
	mov	@r0,a
	inc	dptr
	inc	r0
	djnz	r3,copyeloop
	mov	WMCON,#WATCHDOG		;disable EEPROM
	ret
	;; END
