.nolist
.include	"../../include/param.inc"
.include	"../../include/8019.inc"
.list
.if (MAGIC ^ VERSION)
    .print "Invalid ACTIVESTACK/DUALSTACK/SERIAL setings"
    .err
.endif
.include	"ether.inc"
.include	"ip.inc"

; "http"
	.global	STACK1MODE
	.equ	STACK1MODE, NORESENDMODE
	.global	ETHRETRY1
	.equ	ETHRETRY1,  5*2		; timeout = 2 s
	.global PORT1			; local port
	.equ	PORT1, 80

	.text

	.global open_stack1
	.global process_stack1
	.global close_stack1

open_stack1:	ljmp	open_http
process_stack1:	ljmp	http
close_stack1:	ret

	.rdata
.global	data_addr
.global	data_len
.global	unwrited
.global	mac_gateway
.global	state80
data_addr:	.ds	1	;start of data in TCP packet
data_len:	.ds	1	;length of data in TCP packet
unwrited:	.ds	1	;unwrited data length
mac_gateway:	.ds	3
state80:	.ds.b	1
;
;PCODE DATA
.global	chkacc, chklen, chkaddr
.global	pcodeMSB, pcodeLSB
chkacc:		.ds	1
chklen:		.ds	1
chkaddr:	.ds	1
pcodeMSB:	.ds.b	1
pcodeLSB:	.ds.b	1
;
;#########################################################
;  Main Loop
;#########################################################
;
	.section fast, #alloc
;*************************************************************

	.section slow, #alloc
;*************************************************************
;~50 ms loop

	.section reset_device, #alloc
;*************************************************************

	;; END
