.nolist
.include	"../../include/param.inc"
.list
	.equ	CR,  0x0D
	.equ	LF,  0x0A

	.global	LEDsetup

	.section cpu_dir, #alloc

	.word	'L'+'E'+'D'+'s'+'e'+'t'+'u'+'p'+'.'+'c'+'g'+'i'
	.byte	0x10		;cgi
	.byte	0		;reserved
	.word	cgibegin
	.word	cgiend

	.section cpu_files, #alloc

cgibegin:		;LEDsetup.cgi
	.pcode	LEDsetup
	.pcode	pret
cgiend:

	.text
.global	LEDsetup

LEDsetup:mov	state80,#'0'	; find '0' item
	lcall	scanpar
	jnb	zflag, no0cmd
	;; cmd0
	mov	a,@r0
	cjne	a,#'F',noFlash0
	mov	a,LEDmode
	clr	Acc.0	;Off LED0
	setb	Acc.1	;Flash LED0
	sjmp	SetL0
noFlash0:cjne	a,#'0',noOn0
	mov	a,LEDmode
	setb	Acc.0	;On LED0
	clr	Acc.1	;NoFlash LED0
	sjmp	SetL0
noOn0:	mov	a,LEDmode
	anl	A,#0b11111100	;Of LED0
SetL0:	mov	LEDmode,a	

no0cmd:	mov	state80,#'1'	; find '1' item
	lcall	scanpar
	jnb	zflag, no1cmd
	;; cmd1
	mov	a,@r0
	cjne	a,#'F',noFlash1
	mov	a,LEDmode
	clr	Acc.2	;Off LED1
	setb	Acc.3	;Flash LED1
	sjmp	SetL1
noFlash1:cjne	a,#'0',noOn1
	mov	a,LEDmode
	setb	Acc.2	;On LED1
	clr	Acc.3	;NoFlash LED1
	sjmp	SetL1
noOn1:	mov	a,LEDmode
	anl	A,#0b11110011	;Of LED1
SetL1:	mov	LEDmode,a	

no1cmd:	ret
	;; END
